Skip Menu |
 

This queue is for tickets about the JavaScript-V8 CPAN distribution.

Report information
The Basics
Id: 92096
Status: resolved
Priority: 0/
Queue: JavaScript-V8

People
Owner: Nobody in particular
Requestors: m.pfeiffer [...] epages.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: JavaScript::V8 doesn't compile with latest v8
Date: Mon, 13 Jan 2014 07:21:29 +0000
To: "bug-JavaScript-V8 [...] rt.cpan.org" <bug-JavaScript-V8 [...] rt.cpan.org>
From: Martin Pfeiffer <m.pfeiffer [...] epages.com>
Download (untitled) / with headers
text/plain 302b
Hi, I think Google updated its v8 engine in the last couple of months and has removed a lot of deprecated methods (e.g. String::New, String::AsciiValue) from it. Therefor the wrapper for perl is broken. Are there any plans to update the library to get the current v8 working? Regards, Martin Pfeiffer
Subject: Re: [rt.cpan.org #92096] JavaScript::V8 doesn't compile with latest v8
Date: Mon, 13 Jan 2014 12:30:33 +0000
To: bug-JavaScript-V8 [...] rt.cpan.org
From: David Leadbeater <dgl [...] dgl.cx>
Download (untitled) / with headers
text/plain 204b
Yes, there are a few updates that need making. I haven't yet had a chance to do it (if you're interested there's a helpful library called v8-backport that handles some of it, but not everything needed).
It works with my Ubuntu-installed v8 3.14. Closing, but if you still have a problem please reopen!


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.